'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactGridLayout = require('react-grid-layout');

var _reactGridLayout2 = _interopRequireDefault(_reactGridLayout);

var _Badge = require('saltui/lib/Badge');

var _Badge2 = _interopRequireDefault(_Badge);

var _Grid = require('saltui/lib/Grid');

var _Grid2 = _interopRequireDefault(_Grid);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _TextField = require('saltui/lib/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _Tab = require('saltui/lib/Tab');

var _Tab2 = _interopRequireDefault(_Tab);

var _Carousel = require('saltui/lib/Carousel');

var _Carousel2 = _interopRequireDefault(_Carousel);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

require('react-grid-layout/css/styles.css');

require('react-resizable/css/styles.css');

require('./react_grid.less');

var _db = require('@/utils/db.js');

var _db2 = _interopRequireDefault(_db);

var _variables = require('@/utils/variables.js');

var _variables2 = _interopRequireDefault(_variables);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

// const projectMenuUrl = variables.projectMenuUrl;
var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box,
    VBox = _Boxs2.default.VBox;
var RightAddon = _TextField2.default.RightAddon;

var MyGrid = function (_React$Component) {
  _inherits(MyGrid, _React$Component);

  function MyGrid(props) {
    _classCallCheck(this, MyGrid);

    var _this = _possibleConstructorReturn(this, (MyGrid.__proto__ || Object.getPrototypeOf(MyGrid)).call(this, props));

    _this.initPage = function () {
      // 部件的初始化信息
      _db2.default.reactGrid.getPortalPage().then(function (res) {
        console.log('====================================');
        console.log(res, 'resresresresres');
        console.log('====================================');
        _this.setState({
          data: res.data
        });
      });

      _db2.default.reactGrid.getNewHomePageTodoData().then(function (res1) {
        console.log('====================================');
        console.log(res1, 'resresresresres111111111111111111111111');
        console.log('====================================');
        var bannerPicPath = res1.bannerPicPath;
        var showMobileComponent = res1.showMobileComponent;
        // 是否显示常用应用
        if (showMobileComponent.indexOf("cyyy") > -1) {
          // 获取常用应用
          _this.getAppOftenList();
          _this.setState({ showcyyy: true });
          // 部件list无需常用应用
          componentList = componentList.filter(function (item) {
            return item != "cyyy";
          });
        }
        _this.setState({ componentList: componentList });
        var todoList = [];
        todoList = ["banshi", "zixun", "yingyong", "daiban", "wode"];
        _this.setState({
          todoList: todoList,
          // pageImage: pageImage,
          bannerPicPath: bannerPicPath
        });
      });

      _db2.default.reactGrid.getNewHomePageRemindCount().then(function (res3) {
        console.log('====================================');
        console.log(res3, 'resresresresres333333333333333333333');
        console.log('====================================');
        if (res3.undo) {
          _this.setState({
            undo: content.undo
          });
        }
      });

      _db2.default.reactGrid.getNewHomePageCollectAppInfoList().then(function (result) {
        _this.setState({
          collectAppInfoList: result.data
        });
      });

      _db2.default.reactGrid.getComponentInfoList_cyyy().then(function (result) {
        console.log('====================================');
        console.log(result, 'resresresresres55555555555555555');
        console.log('====================================');
        _this.setState({
          appOftenList: result.data
        });
      });

      _db2.default.reactGrid.getComponentInfoList_bssx().then(function (result) {
        console.log('====================================');
        console.log(result, 'resresresresres55555555555555555');
        console.log('====================================');
        _this.setState({
          bssx_per: result.perList ? result.perList : [],
          bssx_org: result.orgList ? result.orgList : []
        });
      });

      _db2.default.reactGrid.getComponentInfoList_jxzt().then(function (result) {
        console.log('====================================');
        console.log(result, 'resresresresres666666666666666666');
        console.log('====================================');
        _this.setState({
          jxzt: result.data
        });
      });

      _db2.default.reactGrid.getComponentInfoList_ttxx().then(function (res7) {
        console.log('====================================');
        console.log(res7, 'resresresresres77777777777777777');
        console.log('====================================');
        _this.setState({
          ttxx: res7
        });
      });

      _db2.default.reactGrid.getComponentInfoList_xwzx().then(function (res8) {
        console.log('====================================');
        console.log(res8, 'resresresresres8888888888888888');
        console.log('====================================');
        _this.setState({
          xwzx: res8
        });
      });

      _db2.default.reactGrid.getComponentInfoList_gryj().then(function (res9) {
        console.log('====================================');
        console.log(res9, 'resresresresres99999999999999999');
        console.log('====================================');
        _this.setState({
          gryj: res9.data
        });
      });

      _db2.default.reactGrid.getComponentInfoList_grrc().then(function (res10) {
        console.log('====================================');
        console.log(res10, 'resresresresres101010101010101');
        console.log('====================================');
        _this.setState({
          grrc: res10
        });
      });

      _db2.default.reactGrid.getComponentInfoList_grhy().then(function (res11) {
        console.log('====================================');
        console.log(res11, 'resresresresres11111111111111');
        console.log('====================================');
        _this.setState({
          grhy: res11.data
        });
      });
    };

    _this.state = {
      data: [
        // { id: 'a', width: 12, height: 6, x: 0, y: 0 },
        // { id: 'b', width: 12, height: 8, x: 0, y: 6 },
        // { id: 'c', width: 12, height: 8, x: 0, y: 14 },
        // { id: 'd', width: 12, height: 8, x: 0, y: 22 },
        // { id: 'e', width: 12, height: 8, x: 0, y: 30 },
        // { id: 'f', width: 12, height: 8, x: 0, y: 38 },
        // { id: 'g', width: 12, height: 8, x: 0, y: 46 },
        // { id: 'h', width: 12, height: 8, x: 0, y: 54 },
        // { id: 'i', width: 12, height: 8, x: 0, y: 62 },
        // 其他项...
      ],
      isDraggable: false,
      //标题样式
      titleStatus: true,
      titleFontFamily: '',
      titleFontWeight: 400,
      titleColor: '',
      titleFontSize: '',
      titleFontStyle: '',
      titleBgColor: '',
      // 部件圆角
      borderTopLeftRadius: '10px',
      borderTopRightRadius: '10px',
      borderBottomLeftRadius: '10px',
      borderBottomRightRadius: '10px',
      // 部件边框样式
      borderColor: '',
      borderWidth: '',
      // 部件内边距
      paddingLeft: '',
      paddingright: '',
      paddingTop: '',
      paddingBottom: '',

      // todoList: [],//移动集成 配置提醒项信息  
      todoList: [{ name: '办事', icon: 'portal' }, { name: '资讯', icon: 'portal' }, { name: '应用', icon: 'portal' }, { name: '待办', icon: 'portal' }, { name: '我的', icon: 'portal' }],
      // pageImage: projectMenuUrl.pageImage,
      pageImage: '', //提醒项背景图
      appInfoList: [], //移动集成 配置应用信息 
      bannerPicPath: '',
      activeIndex: 2,
      undo: 0, //待办数量
      appOftenList: [], //常用应用
      collectAppInfoList: [], //收藏应用
      bssx: [], // 办事事项
      bssx_per: [], // 办事事项_个人办事
      bssx_org: [], // 办事事项_部门办事
      jxzt: [], // 精选专题
      ttxx: [], // 头条信息
      xwzx: [], // 新闻资讯
      gryj: [], // 个人邮件
      grrc: [], // 个人日程
      grrc_list: [], // 个人日程-日程信息
      grhy: [], // 个人会议
      showbssx: true, // 办事事项
      showjxzt: true, // 精选专题
      showttxx: true, // 头条信息
      showxwzx: true, // 新闻资讯
      showgryj: true, // 个人邮件
      showgrrc: true, // 个人日程
      showgrhy: true, // 个人会议
      showcyyy: true, // 常用应用
      initCleader: false,
      bannerList: [],
      showSlide: false,
      refreshing: false, //下拉刷新
      showMobileComponent: "", // 显示部件显示模块
      componentList: [], // 显示部件显示模块数组
      pageImageList: [],
      showItem: 0,
      searchVal: '', //顶部搜索input值
      filterValue: { //顶部搜索分类值
        sort: [{ text: '全部', value: 'all' }]
      },
      modelCode: 'all',
      bssxPer_show: true, //办事事项_个人_是否显示
      bssxOrg_show: true, //办事事项_个人_是否显示,
      cyyyUsuTab_show: false, //常用应用_是否显示
      cyyyPerTab_show: false //我的收藏_是否显示


    };
    return _this;
  }

  _createClass(MyGrid, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.initPage();
    }

    // 遍历初始化得到的data，奖id给请求部件的内容的接口
    // 如果有两个相同的部件，将会用id请求部件内容，接口返回的数据需要 this.setState({【id】:result.data});这样存值
    // 取值的时候根据id取值

  }, {
    key: 'initCleader',
    value: function initCleader() {
      if (this.state.initCleader == false) {
        var t = this;
        var calendar = document.getElementById("calendar");
        if (calendar) {
          var cld = new CalendarMobile({
            el: 'box',
            value: '', // 默认为new Date();
            type: 1,
            parentNode: calendar,
            // fold: false,
            fn: function fn(obj) {
              // 日期选择后回调
              var YY = obj.year;
              var MM = obj.month >= 10 ? obj.month : "0" + obj.month;
              var DD = obj.day >= 10 ? obj.day : "0" + obj.day;
              var Date = YY + "-" + MM + "-" + DD;
              t.showCalendarList(Date);
            },
            //点击上一个月
            prevMonth: function prevMonth(obj) {},
            //点击下一个月
            nextMonth: function nextMonth(obj) {},
            calendarInit: function calendarInit(obj) {
              var YY = obj.year;
              var MM = obj.month >= 10 ? obj.month : "0" + obj.month;
              var DD = obj.day >= 10 ? obj.day : "0" + obj.day;
              var Date = YY + "-" + MM + "-" + DD;
              t.showCalendarEvent();
              t.showCalendarList(Date);
            }
          });
          this.setState({ initCleader: true });
        }
      }
    }

    //在日历上显示日程事件（显示点）

  }, {
    key: 'showCalendarEvent',
    value: function showCalendarEvent(dates, obj, t) {
      var $span = $(".canChoose").find('span');
      $span.removeClass('hasEvent');
      var dates = this.state.grrc.dateList;
      if (dates) {
        for (var i = 0; i < dates.length; i++) {
          var date = new Date(dates[i]);
          var day = date.getDate();
          $span.eq(parseInt(day) - 1).addClass('hasEvent');
        }
      }
    }
    //显示日程信息

  }, {
    key: 'showCalendarList',
    value: function showCalendarList(Date) {
      if (this.state.grrc.dataMap && this.state.grrc.dataMap[Date]) {
        this.setState({ grrc_list: this.state.grrc.dataMap[Date] });
      } else {
        this.setState({ grrc_list: [] });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var t = this;
      var layout = this.state.data.map(function (item) {
        return {
          i: item.id,
          x: item.x,
          y: item.y,
          w: item.w,
          h: item.h,
          static: true //禁止修改部件大小
        };
      });

      var colNum = t.state.todoList.length > 0 ? t.state.todoList.length : 5;
      // 控制【常用应用】显示列数
      var colNum1 = 4;

      var bssxContent_per = t.state.bssx_per.map(function (item) {
        return _react2.default.createElement(
          'div',
          { className: 'banshi-item' },
          _react2.default.createElement(
            'div',
            { className: 'title t-omit' },
            item.name
          ),
          _react2.default.createElement(
            'div',
            { className: 'describe t-omit' },
            item.categoryName
          ),
          _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' bg' }),
          _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' ic' })
        );
      });
      var bssxContent_org = t.state.bssx_org.map(function (item) {
        return _react2.default.createElement(
          'div',
          { className: 'banshi-item' },
          _react2.default.createElement(
            'div',
            { className: 'title t-omit' },
            item.name
          ),
          _react2.default.createElement(
            'div',
            { className: 'describe t-omit' },
            item.categoryName
          ),
          _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' bg' }),
          _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' ic' })
        );
      });

      var xwzxContent = t.state.xwzx.map(function (item) {
        var infoList = item.infoList.map(function (infoItem) {
          var imgSrc = "";
          var imgIdList = 0;
          if (infoItem.imgId) {
            imgIdList = infoItem.imgId.split('|');
          }
          if (imgIdList.length >= 3) {
            var imgSrc1 = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[0] + "&token=" + token;
            var imgSrc2 = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[1] + "&token=" + token;
            var imgSrc3 = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[2] + "&token=" + token;
            return _react2.default.createElement(
              'div',
              { className: 'infoList3' },
              _react2.default.createElement(
                'div',
                { className: 'infoContent' },
                _react2.default.createElement(
                  'p',
                  null,
                  infoItem.title
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'infoPics' },
                  _react2.default.createElement('img', { src: imgSrc1 }),
                  _react2.default.createElement('img', { src: imgSrc2 }),
                  _react2.default.createElement('img', { src: imgSrc3 })
                ),
                _react2.default.createElement(
                  'p',
                  { className: 't-FS14' },
                  _react2.default.createElement('i', { className: infoItem.isTop == "1" ? "iconfont icon-istop t-FS14 t-FCddblue t-MR6" : "t-DN" }),
                  _react2.default.createElement('img', { className: infoItem.isEssence == "1" ? "" : "t-DN" }),
                  _react2.default.createElement(
                    'span',
                    { className: 't-FB1 t-omit', style: { maxWidth: "115px" } },
                    infoItem.columnName
                  ),
                  _react2.default.createElement(
                    'span',
                    null,
                    infoItem.publishDate
                  )
                )
              )
            );
          } else {
            if (infoItem.imgId) {
              imgSrc = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[0] + "&token=" + token;
            }
            return _react2.default.createElement(
              'div',
              { className: 'infoList' },
              _react2.default.createElement(
                'div',
                { className: 'infoContent' },
                _react2.default.createElement(
                  'div',
                  { className: imgSrc ? "imgContent" : "t-DN" },
                  _react2.default.createElement('img', { src: imgSrc })
                ),
                _react2.default.createElement(
                  'div',
                  { className: 't-FB1' },
                  _react2.default.createElement(
                    'p',
                    null,
                    infoItem.title
                  ),
                  _react2.default.createElement(
                    'p',
                    { className: 't-FS14' },
                    _react2.default.createElement('i', { className: infoItem.isTop == "1" ? "iconfont icon-istop t-FS14 t-FCddblue t-MR6" : "t-DN" }),
                    _react2.default.createElement('img', { className: infoItem.isEssence == "1" ? "" : "t-DN" }),
                    _react2.default.createElement(
                      'span',
                      { className: 't-FB1 t-omit', style: { maxWidth: "115px" } },
                      infoItem.columnName
                    ),
                    _react2.default.createElement(
                      'span',
                      null,
                      infoItem.publishDate
                    )
                  )
                )
              )
            );
          }
        });
        return _react2.default.createElement(
          _Tab2.default.Item,
          { title: item.columnName, key: item.columnId },
          item.infoList.length > 0 ? _react2.default.createElement(
            'div',
            null,
            infoList,
            _react2.default.createElement(
              'div',
              { className: 'info-more-btn' },
              '\u67E5\u770B\u66F4\u591A'
            )
          ) : _react2.default.createElement(
            'div',
            null,
            '\u6682\u65E0\u6570\u636E'
          )
        );
      });

      var tDiv = document.createElement('div');
      var carouselItem = t.state.ttxx.map(function (item) {
        if (item.infoList.length > 0) {
          tDiv.innerHTML = item.infoList[0].content;
          var text = tDiv.innerText;
          return _react2.default.createElement(
            _Carousel2.default.Item,
            null,
            _react2.default.createElement(
              'div',
              { className: 'notice-card-head' },
              _react2.default.createElement(
                'span',
                null,
                item.infoList[0].columnName
              ),
              _react2.default.createElement(
                _Button2.default,
                { type: 'custom' },
                '\u66F4\u591A'
              )
            ),
            _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement(
                'strong',
                { className: 't-FS14 t-omit2 t-LH1_3 t-MB10' },
                item.infoList[0].title
              ),
              _react2.default.createElement(
                'p',
                { className: 't-FS14 t-FCgrey t-omit2 t-LH1_5 t-MB10' },
                text
              ),
              _react2.default.createElement(
                'p',
                { className: 't-FS12 t-FCgrey' },
                item.infoList[0].createdDate
              )
            )
          );
        }
      });
      var carouselList = carouselItem.filter(function (carouselItem) {
        return typeof carouselItem !== 'undefined';
      });

      var gryjContent = t.state.gryj.personList && t.state.gryj.personList.length > 0 ? t.state.gryj.personList.map(function (item) {
        return _react2.default.createElement(
          'div',
          { className: 'list-item' },
          _react2.default.createElement(
            'div',
            { className: item.isRead == "false" ? "item-label label-special" : "t-DN" },
            '\u672A\u8BFB'
          ),
          _react2.default.createElement(
            'div',
            { className: 'item-title' },
            item.theme
          ),
          _react2.default.createElement(
            'div',
            { className: 'item-content' },
            _react2.default.createElement(
              'div',
              { className: 'content t-FCddfontblue-60 t-FS12' },
              _react2.default.createElement(
                'span',
                { className: 't-MR12' },
                item.sendTime
              ),
              _react2.default.createElement(
                'span',
                null,
                '\u7533\u8BF7\u4EBA\uFF1A'
              ),
              _react2.default.createElement(
                'span',
                null,
                item.sendUserName
              )
            ),
            _react2.default.createElement(
              'a',
              { className: 'more' },
              _react2.default.createElement('i', { className: 'iconfont icon-right-arrow t-FCddfontblue-60' })
            )
          )
        );
      }) : '';
      var ggyjContent = t.state.gryj.publicList && t.state.gryj.publicList.length > 0 ? t.state.gryj.publicList.map(function (item) {
        return _react2.default.createElement(
          'div',
          { className: 'list-item' },
          _react2.default.createElement(
            'div',
            { className: item.isRead == "false" ? "item-label label-special" : "t-DN" },
            '\u672A\u8BFB'
          ),
          _react2.default.createElement(
            'div',
            { className: 'item-title' },
            item.theme
          ),
          _react2.default.createElement(
            'div',
            { className: 'item-content' },
            _react2.default.createElement(
              'div',
              { className: 'content t-FCddfontblue-60 t-FS12' },
              _react2.default.createElement(
                'span',
                { className: 't-MR12' },
                item.sendTime
              ),
              _react2.default.createElement(
                'span',
                null,
                '\u7533\u8BF7\u4EBA\uFF1A'
              ),
              _react2.default.createElement(
                'span',
                null,
                item.sendUserName
              )
            ),
            _react2.default.createElement(
              'a',
              { className: 'more' },
              _react2.default.createElement('i', { className: 'iconfont icon-right-arrow t-FCddfontblue-60' })
            )
          )
        );
      }) : '';
      var grrcContent = t.state.grrc_list.map(function (item) {
        var completed = false;
        if (item.startTime) {
          var date = new Date(item.startTime.replace(/-/g, '/'));
          var H = date.getHours();
          var M = date.getMinutes();
          if (H < 10) {
            H = "0" + H;
          }
          if (M < 10) {
            M = "0" + M;
          }
          var time = H + ":" + M;
          var now = new Date();
          if (date < now) {
            //过去时
            completed = true;
          }
        }
        return _react2.default.createElement(
          HBox,
          { className: completed ? 'rc-item t-PR rc-completed' : 'rc-item t-PR', vAlign: 'center' },
          _react2.default.createElement(
            Box,
            { className: 'rc-item-time' },
            time
          ),
          _react2.default.createElement(
            Box,
            { className: 'rc-item-time-line' },
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-fuhao' })
          ),
          _react2.default.createElement(
            Box,
            { flex: 1, className: 'rc-item-title t-omit' },
            item.title
          )
        );
      });

      var grhyContent = t.state.grhy.map(function (item) {
        return _react2.default.createElement(
          'div',
          { className: 'meetingCard' },
          _react2.default.createElement('div', { className: 'lineTop' }),
          _react2.default.createElement(
            'div',
            { className: 'meetingBg' },
            _react2.default.createElement(
              'div',
              { className: 'meetingContent' },
              _react2.default.createElement(
                'div',
                { className: 'meetingTitle' },
                _react2.default.createElement(
                  'p',
                  { className: 't-omit t-LH1_6' },
                  item.applyRecordName
                )
              ),
              _react2.default.createElement(
                'div',
                { className: 'meetingTime' },
                _react2.default.createElement(
                  'div',
                  { className: 'meetingDate' },
                  _react2.default.createElement('i', { 'class': 'iconfont icon-shijian1 t-FS14' }),
                  _react2.default.createElement(
                    'span',
                    { className: 't-ML6' },
                    item.week
                  ),
                  _react2.default.createElement(
                    'span',
                    { className: 't-ML10' },
                    item.startDate
                  )
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'timeTitle' },
                  _react2.default.createElement(
                    'p',
                    null,
                    '\u5F00\u59CB\u65F6\u95F4'
                  ),
                  _react2.default.createElement(
                    'p',
                    null,
                    '\u7ED3\u675F\u65F6\u95F4'
                  )
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'time' },
                  _react2.default.createElement(
                    'li',
                    null,
                    item.sTime
                  ),
                  _react2.default.createElement(
                    'li',
                    null,
                    _react2.default.createElement(
                      'p',
                      null,
                      item.durationTime
                    )
                  ),
                  _react2.default.createElement(
                    'li',
                    null,
                    item.eTime
                  )
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'location' },
                  _react2.default.createElement('i', { 'class': 'iconfont icon-dizhi t-FS14' }),
                  _react2.default.createElement(
                    'span',
                    { className: 't-ML6' },
                    item.meetingAddress
                  )
                )
              )
            )
          )
        );
      });

      var appOftenContent = t.state.appOftenList.map(function (ele) {
        return _react2.default.createElement(
          'div',
          { className: 'systemItem' },
          _react2.default.createElement(
            'div',
            { className: 'iconblock t-iconBC' + ele.iconColor },
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + ele.icon })
          ),
          _react2.default.createElement(
            'p',
            { className: 'text t-omit t-PT2 t-LH2' },
            ele.name
          )
        );
      });
      var collectAppContent = t.state.collectAppInfoList.map(function (ele) {
        return _react2.default.createElement(
          'div',
          { className: 'systemItem' },
          _react2.default.createElement(
            'div',
            { className: 'iconblock t-iconBC' + ele.iconColor },
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + ele.icon })
          ),
          _react2.default.createElement(
            'p',
            { className: 'text t-omit t-PT2 t-LH2' },
            ele.name
          )
        );
      });

      return _react2.default.createElement(
        'div',
        { className: 'react-grid' },
        _react2.default.createElement(
          _reactGridLayout2.default,
          {
            className: 'layout',
            layout: layout,
            cols: 12,
            rowHeight: 20,
            width: window.innerWidth,
            isDraggable: this.state.isDraggable,
            margin: [0, 10]
          },
          this.state.data.map(function (item) {
            {/* banner */}
            if (item.portletCode === 'banner') {
              // 判断AI和menu
              var isShowList = item.portaletSetting.bannerSet.split(',');
              return _react2.default.createElement(
                'div',
                { className: 'react-grid-component', key: item.id, style: {
                    borderTopLeftRadius: item.styleSetting.outSet.radius.topLeft,
                    borderTopRightRadius: item.styleSetting.outSet.radius.topRight,
                    borderBottomLeftRadius: item.styleSetting.outSet.radius.bottomLeft,
                    borderBottomRightRadius: item.styleSetting.outSet.radius.bottomRight,
                    borderColor: _this2.state.borderColor,
                    borderWidth: _this2.state.borderWidth,
                    paddingLeft: _this2.state.paddingLeft,
                    paddingright: _this2.state.paddingright,
                    paddingTop: _this2.state.paddingTop,
                    paddingBottom: _this2.state.paddingBottom
                  } },
                _this2.conponentHeads,
                _react2.default.createElement(
                  'div',
                  { className: 'react-grid-banner' },
                  _react2.default.createElement(
                    'div',
                    { className: 'banner' },
                    _react2.default.createElement(
                      'div',
                      { className: t.state.showSlide == true ? "t-PR" : "t-DN" },
                      _this2.state.bannerList.map(function (item) {
                        return _react2.default.createElement(
                          'div',
                          { className: 'banner-gallery', index: item.index },
                          _react2.default.createElement('img', { className: t.state.showItem == item.index ? "bannerimg" : "t-DN", src: item.src })
                        );
                      }),
                      _react2.default.createElement(
                        'div',
                        { className: 'gallery-list' },
                        _this2.state.bannerList.map(function (item) {
                          return _react2.default.createElement('span', { className: t.state.showItem == item.index ? "gallery-dot active" : "gallery-dot" });
                        })
                      )
                    ),
                    _react2.default.createElement('img', { className: t.state.showSlide == false ? "bannerimg" : "t-DN", src: '/mobile/fmui/images/home-banner.png', onerror: 'this.src=\'../../fmui/images/defaultHome.png\';this.onerror=null' })
                  ),
                  _react2.default.createElement(
                    'div',
                    { className: 'global-search' },
                    _react2.default.createElement(
                      _TextField2.default,
                      { placeholder: '\u8BF7\u8F93\u5165\u5173\u952E\u8BCD\u8FDB\u884C\u641C\u7D22', value: t.state.searchVal, allowClear: false, onClick: function onClick(value) {
                          t.globalSearchChange(value);
                        } },
                      _react2.default.createElement(
                        RightAddon,
                        null,
                        _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-sousuo1 t-P10', onClick: function onClick() {
                            t.globalSearchClick();
                          } })
                      )
                    ),
                    _react2.default.createElement(
                      'div',
                      { className: isShowList.indexOf('AI') > -1 ? 't-FAC' : 't-DN', onClick: function onClick() {
                          t.gotoYd();
                        } },
                      _react2.default.createElement('i', { className: 'iconfont icon-zhineng' }),
                      _react2.default.createElement(
                        'div',
                        { className: 't-FS12 t-MT4' },
                        '\u667A\u80FD\u5BA2\u670D'
                      )
                    )
                  ),
                  _react2.default.createElement(
                    _Grid2.default,
                    { col: colNum, className: 'dd-applist' },
                    t.state.todoList.length > 0 && isShowList.indexOf('menu') > -1 ? t.state.todoList.map(function (item) {
                      // let todoInfo = projectMenuUrl.todoInfo[item];
                      return _react2.default.createElement(
                        'div',
                        { className: 'demo' },
                        _react2.default.createElement(
                          'div',
                          { className: 'react-grid-banner-item' },
                          _react2.default.createElement(
                            _Badge2.default,
                            { count: '2' },
                            _react2.default.createElement('i', { className: 'theme-color iconfont icon-' + item.icon })
                          )
                        ),
                        _react2.default.createElement(
                          'div',
                          { className: 'menu-title t-FS14' },
                          item.name
                        )
                      );
                    }.bind(_this2)) : ''
                  )
                )
              );
            }

            if (item.portletCode === 'cyyy') {
              var cyyyShowList = item.portaletSetting.showModule.split(',');
              console.log(cyyyShowList, 'cyyyShowList////////////////');
              // if (cyyyShowList.indexOf('usuApp') == -1) {
              //   console.log('111111111');
              //   t.setState({
              //     cyyyUsuTab_show:false
              //   })

              // }
              // if (cyyyShowList.indexOf('mineApp') == -1) {
              //   console.log('222222222222');
              //   t.setState({
              //     cyyyPerTab_show:false
              //   })

              // }
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: item.styleSetting.outSet.radius.topLeft,
                    borderTopRightRadius: item.styleSetting.outSet.radius.topRight,
                    borderBottomLeftRadius: item.styleSetting.outSet.radius.bottomLeft,
                    borderBottomRightRadius: item.styleSetting.outSet.radius.bottomRight
                  } },
                _react2.default.createElement(
                  'div',
                  { className: 'react-app-collect' },
                  _react2.default.createElement(
                    'p',
                    { className: 'rightMore' },
                    '\u66F4\u591A',
                    _react2.default.createElement('i', { 'class': 'iconfont-ywtb icon-ywtb-tiaozhuan' })
                  ),
                  _react2.default.createElement(
                    _Tab2.default,
                    { activeKey: '0' },
                    _react2.default.createElement(
                      _Tab2.default.Item,
                      { title: _react2.default.createElement(
                          'div',
                          { style: { color: item.styleSetting.titleSet.color, fontWeight: item.styleSetting.titleSet.fontWeight } },
                          '\u5E38\u7528\u5E94\u7528'
                        ) },
                      _react2.default.createElement(
                        _Grid2.default,
                        { col: colNum1, className: t.state.showcyyy ? '' : 't-DN' },
                        t.state.appOftenList.length > 0 ? t.state.appOftenList.map(function (ele) {
                          return _react2.default.createElement(
                            'div',
                            { className: 'systemItem' },
                            _react2.default.createElement(
                              'div',
                              { className: 'iconblock t-iconBC' + ele.iconColor },
                              _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + ele.icon })
                            ),
                            _react2.default.createElement(
                              'p',
                              { className: 'text t-omit t-PT2 t-LH2' },
                              ele.name
                            )
                          );
                        }) : '',
                        _react2.default.createElement(
                          'div',
                          { className: 'systemItem' },
                          _react2.default.createElement(
                            'div',
                            { className: 'iconblock t-iconBCred' },
                            _react2.default.createElement('i', { className: 'iconfont-ywtb' + ' icon-ywtb-gengduo' })
                          ),
                          _react2.default.createElement(
                            'p',
                            { className: 'text t-omit t-PT2 t-LH2' },
                            '\u66F4\u591A'
                          )
                        )
                      )
                    ),
                    _react2.default.createElement(
                      _Tab2.default.Item,
                      { title: _react2.default.createElement(
                          'div',
                          { style: { color: item.styleSetting.titleSet.color, fontWeight: item.styleSetting.titleSet.fontWeight } },
                          '\u6211\u7684\u6536\u85CF'
                        ) },
                      _react2.default.createElement(
                        _Grid2.default,
                        { col: colNum1 },
                        t.state.collectAppInfoList.length > 0 ? t.state.collectAppInfoList.map(function (ele) {
                          return _react2.default.createElement(
                            'div',
                            { className: 'systemItem' },
                            _react2.default.createElement(
                              'div',
                              { className: 'iconblock t-iconBC' + ele.iconColor },
                              _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + ele.icon })
                            ),
                            _react2.default.createElement(
                              'p',
                              { className: 'text t-omit t-PT2 t-LH2' },
                              ele.name
                            )
                          );
                        }) : '',
                        _react2.default.createElement(
                          'div',
                          { className: 'systemItem' },
                          _react2.default.createElement(
                            'div',
                            { className: 'iconblock t-iconBCred' },
                            _react2.default.createElement('i', { className: 'iconfont-ywtb' + ' icon-ywtb-gengduo' })
                          ),
                          _react2.default.createElement(
                            'p',
                            { className: 'text t-omit t-PT2 t-LH2' },
                            '\u66F4\u591A'
                          )
                        )
                      )
                    )
                  )
                )
              );
            }

            if (item.portletCode === 'bssx') {
              {/* 办事 */}
              var bssxShowList = item.portaletSetting.showModule.split(',');
              // if(bssxShowList.indexOf('personWork') > -1) {
              //   t.setState({
              //     bssxPer_show:true
              //   })
              // }else {
              //   t.setState({
              //     bssxPer_show:false
              //   })
              // }

              // if(bssxShowList.indexOf('deptWork') > -1) {
              //   t.setState({
              //     bssxOrg_show:true
              //   })
              // }else {
              //   t.setState({
              //     bssxOrg_show:false
              //   })
              // }
              var componentContent = '';
              var perList = componentContent;
              if (t.state.bssx_per && t.state.bssx_per.length > 0) {
                perList = bssxContent_per;
              }
              var orgList = componentContent;
              if (t.state.bssx_org && t.state.bssx_org.length > 0) {
                orgList = bssxContent_org;
              }
              var bssxPerTab = '';
              if (t.state.bssxPer_show && bssxShowList.indexOf('personWork') > -1) {
                bssxPerTab = _react2.default.createElement(
                  _Tab2.default.Item,
                  { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: item.styleSetting.titleSet.color, fontWeight: item.styleSetting.titleSet.fontWeight } },
                      '\u4E2A\u4EBA\u529E\u4E8B'
                    ), key: 0 },
                  _react2.default.createElement(
                    'div',
                    { className: 'banshi-list' },
                    perList
                  )
                );
              }
              var bssxOrgTab = '';
              if (t.state.bssxOrg_show && bssxShowList.indexOf('deptWork') > -1) {
                bssxOrgTab = _react2.default.createElement(
                  _Tab2.default.Item,
                  { key: 1, title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: item.styleSetting.titleSet.color, fontWeight: item.styleSetting.titleSet.fontWeight } },
                      '\u90E8\u95E8\u529E\u4E8B'
                    ) },
                  _react2.default.createElement(
                    'div',
                    { className: 'banshi-list' },
                    orgList
                  )
                );
              }
              componentContent = _react2.default.createElement(
                'div',
                { className: 'component-bssx' },
                _react2.default.createElement(
                  'p',
                  { className: t.state.bssxPer_show || t.state.bssxOrg_show ? "rightMore" : "t-DN" },
                  '\u66F4\u591A',
                  _react2.default.createElement('i', { 'class': 'iconfont-ywtb icon-ywtb-tiaozhuan' })
                ),
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: t.state.bssxPer_show ? "0" : "1" },
                  bssxPerTab,
                  bssxOrgTab
                )
              );

              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: item.styleSetting.outSet.radius.topLeft,
                    borderTopRightRadius: item.styleSetting.outSet.radius.topRight,
                    borderBottomLeftRadius: item.styleSetting.outSet.radius.bottomLeft,
                    borderBottomRightRadius: item.styleSetting.outSet.radius.bottomRight
                  } },
                componentContent
              );
            }

            if (item.portletCode === 'ttxx') {
              var componentContent1 = '';
              if (t.state.xwzx.length > 0) {

                componentContent1 = _react2.default.createElement(
                  'div',
                  { className: 'componentBox' },
                  _react2.default.createElement(
                    'div',
                    { className: 'notice-card' },
                    _react2.default.createElement(
                      _Carousel2.default,
                      { showNav: true, auto: true, height: '180px', className: 'carousel-notice' },
                      carouselList
                    )
                  )
                );
              }
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: item.styleSetting.outSet.radius.topLeft,
                    borderTopRightRadius: item.styleSetting.outSet.radius.topRight,
                    borderBottomLeftRadius: item.styleSetting.outSet.radius.bottomLeft,
                    borderBottomRightRadius: item.styleSetting.outSet.radius.bottomRight
                  } },
                componentContent1
              );
            }

            if (item.portletCode === 'xwzx') {
              var componentContent2 = '';
              if (t.state.xwzx.length > 0) {
                componentContent2 = _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: t.state.xwzx[0].columnId, pageSize: 4, showExpandAll: false, speed: 2 },
                  xwzxContent
                );
              }
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: item.styleSetting.outSet.radius.topLeft,
                    borderTopRightRadius: item.styleSetting.outSet.radius.topRight,
                    borderBottomLeftRadius: item.styleSetting.outSet.radius.bottomLeft,
                    borderBottomRightRadius: item.styleSetting.outSet.radius.bottomRight
                  } },
                componentContent2
              );
            }

            if (item.portletCode === 'gryj') {
              var _componentContent = '';
              var gryjList = '';
              if (t.state.gryj.personList && t.state.gryj.personList.length > 0) {
                gryjList = gryjContent;
              }
              var ggyjList = '';
              if (t.state.gryj.publicList && t.state.gryj.publicList.length > 0) {
                ggyjList = ggyjContent;
              }
              _componentContent = _react2.default.createElement(
                _Tab2.default,
                { activeKey: '0' },
                _react2.default.createElement(
                  _Tab2.default.Item,
                  { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: item.styleSetting.titleSet.color, fontWeight: item.styleSetting.titleSet.fontWeight } },
                      '\u4E2A\u4EBA\u90AE\u7BB1'
                    ), key: '0' },
                  _react2.default.createElement(
                    'div',
                    { className: 'list-RT-label' },
                    gryjList
                  )
                ),
                _react2.default.createElement(
                  _Tab2.default.Item,
                  { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: item.styleSetting.titleSet.color, fontWeight: item.styleSetting.titleSet.fontWeight } },
                      '\u516C\u5171\u90AE\u7BB1'
                    ), key: '1' },
                  _react2.default.createElement(
                    'div',
                    { className: 'list-RT-label' },
                    ggyjList
                  )
                )
              );
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: item.styleSetting.outSet.radius.topLeft,
                    borderTopRightRadius: item.styleSetting.outSet.radius.topRight,
                    borderBottomLeftRadius: item.styleSetting.outSet.radius.bottomLeft,
                    borderBottomRightRadius: item.styleSetting.outSet.radius.bottomRight
                  } },
                _react2.default.createElement(
                  'p',
                  { className: 'rightMore' },
                  '\u66F4\u591A',
                  _react2.default.createElement('i', { 'class': 'iconfont-ywtb icon-ywtb-tiaozhuan' })
                ),
                _componentContent
              );
            }

            if (item.portletCode === 'grrc') {
              var componentHead = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: '0', className: 't-MB16' },
                  _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: item.styleSetting.titleSet.color, fontWeight: item.styleSetting.titleSet.fontWeight } },
                      '\u6211\u7684\u65E5\u7A0B'
                    ), key: '0' })
                )
              );
              var calendarDom = _react2.default.createElement('div', { id: 'calendar' });
              var grrcList = '';
              var componentContent4 = '';
              if (t.state.grrc_list.length > 0) {
                grrcList = _react2.default.createElement(
                  'div',
                  { className: 'rc-list' },
                  grrcContent
                );
              }
              componentContent4 = _react2.default.createElement(
                'div',
                null,
                calendarDom,
                grrcList
              );
              setTimeout(function () {
                t.initCleader();
              }, 600);
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: item.styleSetting.outSet.radius.topLeft,
                    borderTopRightRadius: item.styleSetting.outSet.radius.topRight,
                    borderBottomLeftRadius: item.styleSetting.outSet.radius.bottomLeft,
                    borderBottomRightRadius: item.styleSetting.outSet.radius.bottomRight
                  } },
                componentHead,
                componentContent4
              );
            }

            if (item.portletCode === 'grhy') {
              var componentHead1 = _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                  _Tab2.default,
                  { activeKey: '0', className: 't-MB16' },
                  _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                      'div',
                      { className: '', style: { color: item.styleSetting.titleSet.color, fontWeight: item.styleSetting.titleSet.fontWeight } },
                      '\u6211\u7684\u4F1A\u8BAE'
                    ), key: '0' })
                )
              );
              var componentContent5 = '';
              if (t.state.grhy.length > 0) {
                componentContent5 = grhyContent;
              }
              return _react2.default.createElement(
                'div',
                { key: item.id, style: {
                    borderTopLeftRadius: item.styleSetting.outSet.radius.topLeft,
                    borderTopRightRadius: item.styleSetting.outSet.radius.topRight,
                    borderBottomLeftRadius: item.styleSetting.outSet.radius.bottomLeft,
                    borderBottomRightRadius: item.styleSetting.outSet.radius.bottomRight
                  } },
                componentHead1,
                componentContent5
              );
            }

            // if (item.portletCode === 'i') {
            //   let componentHead2 = <div>
            //     <Tab activeKey={'0'} className="t-MB16">
            //       <Tab.Item title="精选专题" key="0"></Tab.Item>
            //     </Tab>
            //   </div>
            //   return <div key={item.id}>
            //     {componentHead2}
            //     <Carousel
            //       showNav
            //       auto
            //       active={1}
            //     >
            //       <Carousel.Item title="标题" className="t-image-slide-item t-R10" >
            //         <p className="t-FS20 t-ML20 t-PT20 t-MB10">专题服务</p>
            //         <span className="t-FCf t-MT10 t-FS16 t-ML20">随便写点东西</span>
            //       </Carousel.Item>
            //       <Carousel.Item className="t-image-slide-item t-R10">
            //         <p className="t-FS20 t-ML20 t-PT20 t-MB10">专题服务</p>
            //         <span className="t-FCf t-MT10 t-FS16 t-ML20">随便写点东西</span>
            //       </Carousel.Item>
            //       <Carousel.Item className="t-image-slide-item t-R10" >
            //         <p className="t-FS20 t-ML20 t-PT20 t-MB10">专题服务</p>
            //         <span className="t-FCf t-MT10 t-FS16 t-ML20">随便写点东西</span>
            //       </Carousel.Item>
            //       <Carousel.Item className="t-image-slide-item t-R10" >
            //         <p className="t-FS20 t-ML20 t-PT20 t-MB10">专题服务</p>
            //         <span className="t-FCf t-MT10 t-FS16 t-ML20">随便写点东西</span>
            //       </Carousel.Item>
            //       <Carousel.Item className="t-image-slide-item t-R10">
            //         <p className="t-FS20 t-ML20 t-PT20 t-MB10">专题服务</p>
            //         <span className="t-FCf t-MT10 t-FS16 t-ML20">随便写点东西</span>
            //       </Carousel.Item>
            //     </Carousel>
            //   </div>
            // }
            return null; // 添加一个默认返回值，以避免未指定键的错误
          })
        )
      );
    }
  }]);

  return MyGrid;
}(_react2.default.Component);

exports.default = MyGrid;